跳转到内容

Pixelcut Looping Video

集成

模型 id pixelcut/looping-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/pixelcut/looping-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: $1.60 1,600 API 积分 · ≈ ₽168.74 在此页面运行

获取 API 密钥
Pixelcut 图生视频 5–15 秒最高 1080p #image-to-video#looping#e-commerce#product

将商品照片转换为循环片段,首尾均为源图像,并添加细微运动或 360° 旋转

Pixelcut · 视频

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

0 / 4000

用于创意指导的可选动作指令。无论如何,相机都会保持固定。

•必填 image_url
拖放文件,或

用于视频开头和结尾帧的源图像,格式为 JPEG、PNG 或 WebP。

resolution 默认 1080p

生成输出的分辨率。

默认 5

视频时长,单位为秒。

高级 motion · include_audio
motion 默认 subtle

选择动作行为:'spin' 在完成 360° 旋转后返回源帧;'subtle' 添加带环境感的轻微运动。

POST /run/pixelcut/looping-video?wait=20 报价 → $1.60
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/pixelcut/looping-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Pixelcut Looping Video

创建首尾均为输入图像的视频,从而实现循环播放。`motion` 可设为 subtle 以添加轻柔的环境运动,或设为 spin 以完成一整圈旋转。时长为 5 到 15 秒,分辨率为 480p、768p 或 1080p,`prompt`(最多 4000 个字符)可选,用于提供方向。除非启用 `include_audio`,否则循环视频没有声音。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
image_url必填 image
类型url · image
用于视频开头和结尾帧的源图像,格式为 JPEG、PNG 或 WebP。
prompt可选
类型string
默认值
≤ 4,000 个字符
用于创意指导的可选动作指令。无论如何,相机都会保持固定。
duration可选
类型integer
默认值5
5 – 15
视频时长,单位为秒。
resolution可选
类型enum
默认值1080p
480p768p1080p
生成输出的分辨率。
motion可选
类型enum
默认值subtle
subtlespin
选择动作行为:'spin' 在完成 360° 旋转后返回源帧;'subtle' 添加带环境感的轻微运动。
include_audio可选
类型boolean
默认值false
循环视频的音频保留设置:启用后保留生成的音轨;否则默认生成静音循环。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "pixelcut/looping-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1600,
    "usd": "1.60",
    "charged": 1600,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
video
object {url, content_type, file_name, file_size} | null开头和结尾帧与输入图像匹配的 MP4 循环视频。

更多模型:图生视频

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/pixelcut/looping-video.md. 所有模型和指南: https://doitong.com/developers/llms.txt